function gotoPay(chanelId,orderInfo,fn){	
	// 检测是否安装支付服务
	var  checkServices = function(pc){
		if(!pc.serviceReady){
			var txt=null;
			switch(pc.id){
				case 'alipay':
				txt='检测到系统未安装“支付宝快捷支付服务”，无法完成支付操作，是否立即安装？';
				break;
				default:
				txt='系统未安装“'+pc.description+'”服务，无法完成支付，是否立即安装？';
				break;
			}
			plus.nativeUI.confirm(txt, function(e){
				if(e.index==0){
					pc.installService();
				}
			}, pc.description);
		}
	}
	
	var getChanne = function(fn){
		var payChanel = {};
			// 获取支付通道
		plus.payment.getChannels(function(channels) {
			for(var i in channels) {
				var channel = channels[i];
				if(channel.id == 'qhpay' || channel.id == 'qihoo') { // 过滤掉不支持的支付通道：暂不支持360相关支付
					continue;
				}
				payChanel[channel.id] = channel;
				checkServices(channel);
			};
			
			fn && fn(payChanel);
		}, function(e) {
			fn && fn(0);
			console.log('获取支付通道失败：' + e.message);
		});
	};
	
	getChanne(function(	payChanel){
		console.log(JSON.stringify(payChanel));
		plus.payment.request(payChanel[chanelId],orderInfo,function(result){
			fn && fn(1);
		},function(error){
			fn && fn(0);
			console.log("支付失败----："+error.code);
			//console.log(JSON.stringify(error));
		});
	});
}
//向服务器发起请求
function payRequest(oid,parameter,callback){
	var basicRequestData = JSON.parse(localStorage.basicRequestData);
	plus.nativeUI.showWaiting('请稍候...');
	mui.ajax('http://14.18.71.28:83/WxPay/WeChatPay_BC', {
		data: {oidList:oid,parameter:parameter,SessionId:basicRequestData.SessionId,UserId:basicRequestData.UserId},
		dataType: 'json',
		type: 'post',
		timeout: 20000,
		success: function(e) {
			plus.nativeUI.closeWaiting();
			gotoPay('wxpay',e,callback);
		},
		error:function(){
			plus.nativeUI.closeWaiting();
			callback(0);
		}
	});
}